Boomi MFT - AFT Management API Reference (v1) - FlowSubscribers
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Retrieves all subscribers for a specific flow
Returns list of organizations subscribed to a flow.
Authorizations:
ApiKeyBearer
query Parameters
| flowId | integer <int32> Unique identifier of the flow to retrieve subscribers for |
Responses
Response Schema:
Array
| id | integer <int32> |
| isEnabled | boolean |
| flowId | integer <int32> |
| flowName | string or null |
| tenantId | integer <int32> |
| organizationId | integer <int32> |
| organizationName | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| subscriberCount | integer or null <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| description | string or null |
| flowStatus | string or null |
| orgStatus | string or null |
Response samples
- 200
- 401
- 403
- 500
Content type
No sample
Retrieves available subscriber options for a specific flow
Returns list of organizations available for subscription to a flow.
Authorizations:
ApiKeyBearer
query Parameters
| flowId | integer <int32> Unique identifier of the flow to retrieve subscriber options for |
Responses
Response Schema:
Array
| id | integer <int32> |
| isEnabled | boolean |
| flowId | integer <int32> |
| flowName | string or null |
| tenantId | integer <int32> |
| organizationId | integer <int32> |
| organizationName | string or null |
| organizationStatusId | integer <int32> |
| publicCode | string or null |
| subscriberCount | integer or null <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| description | string or null |
| flowStatus | string or null |
| orgStatus | string or null |
Response samples
- 200
- 401
- 403
- 500
Content type
No sample
Creates a new subscriber for a flow
Subscribes an organization to a flow for file distribution.
Authorizations:
ApiKeyBearer
Request Body schema:
Flow subscriber configuration details including notification settings and recipient information
| id | integer <int32> |
| flowId | integer <int32> |
| organizationId | integer <int32> |
Responses
Response Schema:
| id | integer <int32> |
| flowId | integer <int32> |
| organizationId | integer <int32> |
| isEnabled | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Request samples
- Payload
Content type
{- "id": 0,
- "flowId": 0,
- "organizationId": 0
}Response samples
- 200
- 400
- 401
- 403
- 500
Content type
No sample
Deletes a specific flow subscriber
Removes organization subscription from a flow.
Authorizations:
ApiKeyBearer
query Parameters
| subscriberId | integer <int32> Unique identifier of the subscriber to delete |
Responses
Response Schema:
object (thruStatus) | |
| data | any or null |
Response samples
- 200
- 401
- 403
- 404
- 500
Content type
No sample
Was this topic helpful?